org.apache.olingo.odata2.jpa.processor.ref.extension

## Class OnDBWriteContent

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.ref.extension.OnDBWriteContent

- All Implemented Interfaces:
    ODataCallback, OnJPAWriteContent

      public class OnDBWriteContent
      extends Object
      implements OnJPAWriteContent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnDBWriteContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Blob` | `getJPABlob(byte[] binaryData)` Implement this method to instantiate JPA provider specific implementation of java.sql.Blob instance from an array of bytes.
    `Clob` | `getJPAClob(char[] characterData)` Implement this method to instantiate JPA provider specific implementation of java.sql.Clob instance from an array of characters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnDBWriteContent

          public OnDBWriteContent()

  - ### Method Detail

    - #### getJPABlob

          public Blob getJPABlob(byte[] binaryData)
                          throws ODataJPARuntimeException

      Description copied from interface: `OnJPAWriteContent`
      Implement this method to instantiate JPA provider specific implementation of java.sql.Blob instance from an array of bytes.
      Specified by:
        `getJPABlob` in interface `OnJPAWriteContent`
      Parameters:
        `binaryData` - is an array of bytes
      Returns:
        an instance of type `Blob`
      Throws:
        `ODataJPARuntimeException`

    - #### getJPAClob

          public Clob getJPAClob(char[] characterData)
                          throws ODataJPARuntimeException

      Description copied from interface: `OnJPAWriteContent`
      Implement this method to instantiate JPA provider specific implementation of java.sql.Clob instance from an array of characters.
      Specified by:
        `getJPAClob` in interface `OnJPAWriteContent`
      Parameters:
        `characterData` - is an array of characters
      Returns:
        an instance of type `Clob`
      Throws:
        `ODataJPARuntimeException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.